docs
GitHub
docs

Documentationdocs.pterodactyl.io

2.0Open beta

  • Install the Panel
  • Upgrade from 1.x
  • Extensions
  • API reference

1.xStable

  • Install the Panel
  • Install Wings
  • Troubleshooting
  • API reference

Eggseggs.pterodactyl.io

Browse

  • Games
  • Applications
  • Languages
  • Request an egg

Popular

  • Minecraft: Paper
  • Counter-Strike 2
  • Valheim
  • Palworld

Marketplacepterodactyl.io/marketplace

Panel 2.0Open beta

  • All extensions
  • Free extensions
  • Your purchases

Guides

  • Install an extension
  • Build an extension
  • Extension reference

Discorddiscord.gg/pterodactyl

Code

  • Panel
  • Wings
  • All repositories
  • Report a security issue

Project

  • About Pterodactyl
  • Community standards
  • Sponsor
GitHubDiscord
Pterodactyl 1.x
Project Information
Wings
API Overview

Client API

Application API

Delete server DELETEForce delete server DELETEList servers GETServer details GETServer details by external ID GETUpdate build PATCHUpdate details PATCHUpdate startup PATCHCreate server POSTReinstall server POSTSuspend server POSTUnsuspend server POST
API Reference (1.x)Application servers

Delete server

Deletes the specified server

DELETE/api/application/servers/{id}

Authorization

ApplicationToken
AuthorizationBearer <token>

Application API key (generated at /admin/api)

In: header

Response Body

curl -X DELETE "https://example.com/api/application/servers/{id}"
Empty
Edit on GitHub

Last updated on

Create location POST

Previous Page

Force delete server DELETE

Next Page